%global debug_package %{nil}

Name:           glow
Version:        1.5.1
Release:        1%{?dist}
Summary:        Render markdown on the CLI, with pizzazz!

License:        MIT
URL:            https://github.com/charmbracelet/glow
Source0:        https://github.com/charmbracelet/glow/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  golang git

%description
Glow is a terminal based markdown reader designed from the ground up to bring
out the beauty—and power—of the CLI.

Use it to discover markdown files, read documentation directly on the command
line and stash markdown files to your own private collection so you can read
them anywhere. Glow will find local markdown files in subdirectories or a local
Git repository.


%prep
%autosetup

%build
go build -ldflags=-linkmode=external


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
install -p -m 755 %{_builddir}/%{name}-%{version}/glow %{buildroot}%{_bindir}

%files
%license LICENSE
%{_bindir}/glow


%changelog
* Sat Aug 03 2024 Tokariew <korbolinhii@gmail.com>
- Update to 1.5.1
* Tue Jan 31 2023 Tokariew <korbolinhii@gmail.com>
- update to 1.5.0
* Sat Oct 09 2021 Tokariew <korbolinhii@gmail.com>
-
